Page MenuHomePhabricator

Installer: Stylesheet contains references to inexistant files due to incorrect wgScriptPath
Closed, ResolvedPublic

Description

GET /wiki/skins/Vector/images/bullet-icon.png?2014-07-09T19:40:00Z 404 (Not Found)
GET /wiki/skins/Vector/images/external-link-ltr-icon.svg?2014-07-09T19:40:00Z 404 (Not Found)
GET /wiki/skins/Vector/images/portal-break.png?2014-07-09T19:40:00Z 404 (Not Found)

The wgScriptPath variable is set in envCheckPath, but that's only executed from the Welcome page (and emits a message, so we can't call that from elsewhere).


Version: 1.23.1
Severity: major

Details

Reference
bz67810

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:35 AM
bzimport set Reference to bz67810.
Krinkle created this task.Jul 10 2014, 4:29 PM

This is a regression introduced when the style loading logic was changed in the previous release. Should be backported I suppose to fix the broken icons people may be seeing now (given that they're icons implemented as background images, they don't show up in the traditional 'broken square' way, instead it's just a blank gap in the middle of some reserved padding).

Change 145356 had a related patch set uploaded by Krinkle:
installer: Move Server/Extension/Path preparations out of envChecks

https://gerrit.wikimedia.org/r/145356

Change 145357 had a related patch set uploaded by Krinkle:
installer: Move Server/Extension/Path preparations out of envChecks

https://gerrit.wikimedia.org/r/145357

Change 145356 merged by jenkins-bot:
installer: Move Server/Extension/Path preparations out of envChecks

https://gerrit.wikimedia.org/r/145356

Change 145357 merged by jenkins-bot:
installer: Recompute wgStylePath etc. after setting wgScriptPath

https://gerrit.wikimedia.org/r/145357

Fixed on master.

Couldn't cherry pick.